package com.ruoyi.ss.feedback.service;


import com.ruoyi.ss.feedback.domain.Feedback;

import java.util.List;

/**
 * 反馈意见Service接口
 *
 * @author qzz
 * @date 2024-10-18
 */
public interface IFeedbackService
{
    /**
     * 查询反馈意见
     *
     * @param feedbackId 反馈意见主键
     * @return 反馈意见
     */
    public Feedback selectAsFeedbackByFeedbackId(Long feedbackId);

    /**
     * 查询反馈意见列表
     *
     * @param asFeedback 反馈意见
     * @return 反馈意见集合
     */
    public List<Feedback> selectAsFeedbackList(Feedback asFeedback);

    /**
     * 新增反馈意见
     *
     * @param asFeedback 反馈意见
     * @return 结果
     */
    public int insertAsFeedback(Feedback asFeedback);

    /**
     * 修改反馈意见
     *
     * @param asFeedback 反馈意见
     * @return 结果
     */
    public int updateAsFeedback(Feedback asFeedback);

    /**
     * 批量删除反馈意见
     *
     * @param feedbackIds 需要删除的反馈意见主键集合
     * @return 结果
     */
    public int deleteAsFeedbackByFeedbackIds(Long[] feedbackIds);

    /**
     * 删除反馈意见信息
     *
     * @param feedbackId 反馈意见主键
     * @return 结果
     */
    public int deleteAsFeedbackByFeedbackId(Long feedbackId);
}
